Bug 466428 - yum-updateonboot more configurable
yum-updateonboot more configurable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 04:17 EDT by Milan Kerslager
Modified: 2014-01-21 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 08:54:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Quiet on boot is now configurable (1.55 KB, patch)
2008-10-10 04:43 EDT, Milan Kerslager
no flags Details | Diff

  None (edit)
Description Milan Kerslager 2008-10-10 04:17:48 EDT
The file /etc/init.d/yum-updateonboot throw away yum output by sending to /dev/null.

Please use "-q" parameter instead and allow this to be configurable possibly by adding one more variable to /etc/sysconfig/yum-updateonboot with default value "-q" (to preserve old behavior) to every occurence of youm usage in /etc/init.d/yum-updateonboot.

Personally, I would like to allow users to see yum output when update process running (and I'm asking here to be this option configurable). With no message (even progress bar) on boot screen, my users here tends to reboot computer (thinking about freeze), breaks RPM database then and forces me to fix it for them. Fedora updates flow is considerable huge, so the delay with no message when the system is booted is long when the update process is running.

Thang you a lot for your work!
Comment 1 Milan Kerslager 2008-10-10 04:43:13 EDT
Created attachment 319989 [details]
Quiet on boot is now configurable
Comment 2 Tim Lauridsen 2009-03-05 08:54:50 EST
Added you patch upstream

Note You need to log in before you can comment on or make changes to this bug.